/**
 * Returns the next index in the list of an item that is not disabled.
 *
 * @param {number} moveAmount Number of positions to move. Negative to move backwards, positive forwards.
 * @param {number} baseIndex The initial position to move from.
 * @param {number} itemCount The total number of items.
 * @param {Function} getItemNodeFromIndex Used to check if item is disabled.
 * @param {boolean} circular Specify if navigation is circular. Default is true.
 * @returns {number} The new index. Returns baseIndex if item is not disabled. Returns next non-disabled item otherwise. If no non-disabled found it will return -1.
 */
export declare const getNextNonDisabledIndex: (moveAmount: number, baseIndex: number, itemCount: number, getItemNodeFromIndex: any, circular: boolean) => number;
//# sourceMappingURL=getNextNonDisabledIndex.d.ts.map