/**
 * Returns the new index in the list, in a circular way. If next value is out of bonds from the total,
 * it will wrap to either 0 or itemCount - 1.
 *
 * @param {number} moveAmount Number of positions to move. Negative to move backwards, positive forwards.
 * @param {number} baseIndex The initial position to move from.
 * @param {number} itemCount The total number of items.
 * @param {Function} getItemNodeFromIndex Used to check if item is disabled.
 * @param {boolean} circular Specify if navigation is circular. Default is true.
 * @returns {number} The new index after the move.
 */
export declare const getNextWrappingIndex: (moveAmount: number, baseIndex: number, itemCount: number, getItemNodeFromIndex: any, circular?: boolean) => number;
//# sourceMappingURL=getNextWrappingIndex.d.ts.map